'use strict';

define(['app'], function(app) {
	
	app.controller("destinationOneDrive", ["$scope", "lang", function ($scope, lang) {

		$scope.$emit('options', { disklimit: true, threads: true });

		if($scope.details._id === undefined) $scope.saveData.threads = 45;
		if($scope.saveData.options.retries === undefined) $scope.saveData.options.retries = 5;
		if($scope.saveData.options.http_version === undefined) $scope.saveData.options.http_version = 0;

		$scope.getAuthCode = function () {
			var url = [];
			url.push("client_id=c07c68c1-503d-4dfe-9253-da5deda440bb");
			url.push("response_type=code");
			url.push("redirect_uri=https://auth.jetbackup.com/microsoft/");
			url.push("response_mode=query");
			url.push("prompt=consent");
			url.push("scope=https://graph.microsoft.com/Files.ReadWrite+offline_access");

			var features = [];
			features.push('height=528');
			features.push('width=400');
			features.push('toolbar=no');
			features.push('titlebar=no');
			features.push('status=no');
			features.push('scrollbars=no');
			features.push('resizable=yes');
			features.push('menubar=no');

			window.open("https://login.microsoftonline.com/common/oauth2/v2.0/authorize?" + url.join('&'), '', features.join(','));
		};

		$scope.httpversion_options = [
			{ label: lang.t("Default"), value: 0 },
			{ label: "HTTP/1.1", value: 1 },
			{ label: "HTTP/2", value: 2 }
		];

	}]);

});